Support » Plugin: MailPoet 2 » Mailings broken

  • Resolved frankbiemans

    (@frankbiemans)


    Hi guys,

    Since the last two updates i run into some problems with Mailpoet (i’ve fixed it by using a older version) on a clients website. Can’t really tell what’s the issue but i got two screenshots:

    Wrong version
    Right version

    As you see in the ‘wrong’ version the code is messed up and images won’t load.

    Any idea on how to fix this?

    EDIT: Maybe some valuable information. The site runs on a Linux server with PHP Version 5.4.45

    • This topic was modified 9 months, 1 week ago by  frankbiemans.
Viewing 6 replies - 1 through 6 (of 6 total)
  • How did you use an older version? I tried rolling back my mailpoet plugin to the previous version but still it is broken.. debating rolling back the class-mailer.php file as that seems to be causing the issue

    I have fixed my issue

    Downloaded WP Rollback addin and rolled back mailpoet to v2.7.6. Everything works just as it was.

    NOTE rolling back to 2.7.7 didn’t work!

    Hope this helps

    David, i still had a old version in a backup so i deleted the updated one and reuploaded the old version. I guess you got the same issue?

    I didn’t have the issue with images, but I had a problem where I couldn’t send mails, tests or preview my newsletters at all! Just posting my fix as I hope it helps you as clearly an update has broken more than one thing!

    Plugin Author MailPoet

    (@wysija)

    Since version 2.7.7 of MailPoet we are using the PHPMailer library that comes with WordPress and that’s resulting in some display errors and other issues. We strongly suggest you all to try MailPoet 3: https://wordpress.org/plugins/mailpoet/

    frankbiemans

    (@frankbiemans)

    The plugin page says there is no migration script from mailpoet 2.x. Should this be viewed as a complete new plugin or can i just overwrite a 2.x version?

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Mailings broken’ is closed to new replies.